package org.apidesign.apifest08.currency;

/**
 * This is interface for creating currency rates. The rate can be static or can change in time.
 * Implement this interface to inform the Convertor about the actual exchange rate between two currencies.
 */
public interface CurrencyRate {
    public String getCurrency1();
    public String getCurrency2();
    public Rate getRate();
}
